Package org.spongepowered.asm.mixin.injection.callback

## Class CallbackInfoReturnable<R>

- java.lang.Object
- - org.spongepowered.asm.mixin.injection.callback.CallbackInfo
  - - org.spongepowered.asm.mixin.injection.callback.CallbackInfoReturnable<R>

    public class CallbackInfoReturnable<R>
    extends CallbackInfo

### Constructor Summary

Constructors
`CallbackInfoReturnable​(java.lang.String name, boolean cancellable)`
`CallbackInfoReturnable​(java.lang.String name, boolean cancellable, boolean returnValue)`
`CallbackInfoReturnable​(java.lang.String name, boolean cancellable, byte returnValue)`
`CallbackInfoReturnable​(java.lang.String name, boolean cancellable, char returnValue)`
`CallbackInfoReturnable​(java.lang.String name, boolean cancellable, double returnValue)`
`CallbackInfoReturnable​(java.lang.String name, boolean cancellable, float returnValue)`
`CallbackInfoReturnable​(java.lang.String name, boolean cancellable, int returnValue)`
`CallbackInfoReturnable​(java.lang.String name, boolean cancellable, long returnValue)`
`CallbackInfoReturnable​(java.lang.String name, boolean cancellable, short returnValue)`
`CallbackInfoReturnable​(java.lang.String name, boolean cancellable, R returnValue)`

### Method Summary

All Methods Instance Methods Concrete Methods
`R` `getReturnValue()`
`byte` `getReturnValueB()`
`char` `getReturnValueC()`
`double` `getReturnValueD()`
`float` `getReturnValueF()`
`int` `getReturnValueI()`
`long` `getReturnValueJ()`
`short` `getReturnValueS()`
`boolean` `getReturnValueZ()`
`void` `setReturnValue​(R returnValue)`

### Methods inherited from class org.spongepowered.asm.mixin.injection.callback.CallbackInfo

`cancel, getId, isCancellable, isCancelled`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CallbackInfoReturnable

    public CallbackInfoReturnable​(@NotNull
                                  java.lang.String name,
                                  boolean cancellable)

#### CallbackInfoReturnable

    public CallbackInfoReturnable​(@NotNull
                                  java.lang.String name,
                                  boolean cancellable,
                                  @Nullable
                                  R returnValue)

#### CallbackInfoReturnable

    public CallbackInfoReturnable​(@NotNull
                                  java.lang.String name,
                                  boolean cancellable,
                                  byte returnValue)

#### CallbackInfoReturnable

    public CallbackInfoReturnable​(@NotNull
                                  java.lang.String name,
                                  boolean cancellable,
                                  char returnValue)

#### CallbackInfoReturnable

    public CallbackInfoReturnable​(@NotNull
                                  java.lang.String name,
                                  boolean cancellable,
                                  double returnValue)

#### CallbackInfoReturnable

    public CallbackInfoReturnable​(@NotNull
                                  java.lang.String name,
                                  boolean cancellable,
                                  float returnValue)

#### CallbackInfoReturnable

    public CallbackInfoReturnable​(@NotNull
                                  java.lang.String name,
                                  boolean cancellable,
                                  int returnValue)

#### CallbackInfoReturnable

    public CallbackInfoReturnable​(@NotNull
                                  java.lang.String name,
                                  boolean cancellable,
                                  long returnValue)

#### CallbackInfoReturnable

    public CallbackInfoReturnable​(@NotNull
                                  java.lang.String name,
                                  boolean cancellable,
                                  short returnValue)

#### CallbackInfoReturnable

    public CallbackInfoReturnable​(@NotNull
                                  java.lang.String name,
                                  boolean cancellable,
                                  boolean returnValue)

### Method Detail

#### setReturnValue

    public void setReturnValue​(@Nullable
                               R returnValue)
                        throws CancellationException

Throws:
  `CancellationException`

#### getReturnValue

    @Nullable
    public R getReturnValue()

#### getReturnValueB

    public byte getReturnValueB()

#### getReturnValueC

    public char getReturnValueC()

#### getReturnValueD

    public double getReturnValueD()

#### getReturnValueF

    public float getReturnValueF()

#### getReturnValueI

    public int getReturnValueI()

#### getReturnValueJ

    public long getReturnValueJ()

#### getReturnValueS

    public short getReturnValueS()

#### getReturnValueZ

    public boolean getReturnValueZ()